Test SSO/IdP connectivity
POST
/v1/console/sso/test
const url = 'https://example.com/v1/console/sso/test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"claimed_domains":["example"],"enabled":true,"network_allowlist":["example"],"oidc_client_id":"example","oidc_client_secret":"example","oidc_groups_claim":"example","oidc_issuer":"https://example.com","protocol":"oidc","require_sso":true,"saml_acs_url":"https://example.com","saml_email_attr":"example","saml_entity_id":"example","saml_groups_attr":"example","saml_idp_sso_url":"https://example.com","saml_metadata_url":"https://example.com","saml_sp_cert_pem":"example","saml_sp_key_pem":"example","saml_sp_sign_cert_pem":"example","saml_sp_sign_key_pem":"example","scim_authoritative":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/console/sso/test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "claimed_domains": [ "example" ], "enabled": true, "network_allowlist": [ "example" ], "oidc_client_id": "example", "oidc_client_secret": "example", "oidc_groups_claim": "example", "oidc_issuer": "https://example.com", "protocol": "oidc", "require_sso": true, "saml_acs_url": "https://example.com", "saml_email_attr": "example", "saml_entity_id": "example", "saml_groups_attr": "example", "saml_idp_sso_url": "https://example.com", "saml_metadata_url": "https://example.com", "saml_sp_cert_pem": "example", "saml_sp_key_pem": "example", "saml_sp_sign_cert_pem": "example", "saml_sp_sign_key_pem": "example", "scim_authoritative": true }'Validates a candidate SSO configuration by running discovery or fetching metadata, without persisting it. It answers 501 when the provider builder is not configured.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
claimed_domains
Array<string>
enabled
boolean
network_allowlist
Array<string>
oidc_client_id
string
oidc_client_secret
string format: password
oidc_groups_claim
string
oidc_issuer
string format: uri
protocol
required
string
require_sso
boolean
saml_acs_url
string format: uri
saml_email_attr
string
saml_entity_id
string
saml_groups_attr
string
saml_idp_sso_url
string format: uri
saml_metadata_url
string format: uri
saml_sp_cert_pem
string
saml_sp_key_pem
string format: password
saml_sp_sign_cert_pem
string
saml_sp_sign_key_pem
string format: password
scim_authoritative
boolean
Responses
Section titled “ Responses ”OK
Media type application/json
object
message
string
success
boolean
Example generated
{ "message": "example", "success": true}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}